Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Patch for Pg 9.2 FDW #5

Merged
merged 5 commits into from Jun 8, 2012

Conversation

Projects
None yet
2 participants

not compabtlie with < pg 9.2,
the api has massiv changed,
so i implemented the new function and remove PlanForeignScan

PG9.2 FDW compatible patch
not compabtlie with < pg 9.2
Contributor

dpage commented May 31, 2012

Thanks for looking at this. Unfortunately the diff on mysql_fdw.c covers the whole file, which makes it impossible to see easily what was changed. I'd really like to make the code work on both 9.1 and 9.2 though - are you able to work on improving the patch to allow that? That should be fairly easy with the preprocessor, eg.

#if (PG_VERSION_NUM >= 90200)
/* Do 9.2+ stuff /
#else
/
Do 9.1 stuff */
#endif

i added the preprocessor rule, clean code and remove warnings.

not tested with pg 9.1.

dpage added a commit that referenced this pull request Jun 8, 2012

Merge pull request #5 from albertlast/master
Support for PostgreSQL 9.2

@dpage dpage merged commit d728fb2 into EnterpriseDB:master Jun 8, 2012

This was referenced Mar 26, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment